MEXAMINE(1)

NAME
mExamine - Information about the sky coverage of a FITS image

SYNOPSIS
mExamine [-d][-p ra dec radius] image.fits

DESCRIPTION
mExamine returns information about the sky coverage of a FITS image (assuming WCS keywords in the header) and optionally pixel statistics for a region in the image.

OPTIONS

-p ra dec radius
    Return information about a region (central pixel value, min, max values and location, etc.) Coordinates and radius are in degrees unless given a "p" suffix, in which case they are in pixels.

-a ra dec
    Returns a simple aperture photometry fit to a location. Cannot be used at the same time as the -p option above. Also supports the "p" suffix rule from above.

-d  Turn on debugging.

ARGUMENTS

image.fits
    FITS file to examine. If the file has multiple HDUs, you can add that to the file name, e.g., "m51.fits[2]". If an HDU is a datacube, you can select a plane ("m51.fits[2][256]"). Even if there is a single HDU, you need to specify it if you want to specify a cube plane ("m51.fits[0][512]"). Note that this syntax may require quotes around the file name string to avoid confusing your shell.

RESULT
If successful, returns the following: projImage projection csysCoordinate system equinoxCoordinate system equinox naxisNumber of axes in the file naxis1Image width (in pixels) naxis2Image height naxis3Data cube depth (only if NAXIS > 2) naxis4Data cube fourth dimension (only if NAXIS > 3) crval1WCS reference coordinate for first axis crval2WCS reference coordinate for second axis crpix1Pixel value for reference coordinate crpix2 cdelt1Pixel scale (degrees) cdelt2 crota2Rotation of image (E of N) loncSky coordinate of image center latc ximgsizeImage size (degrees) yimgsize rotequRotation of image in Equatorial (J2000) racEquatorial (J2000) coordinates of image center decc ra1Equatorial coordinates of four image corners dec1 ra2 dec2 ra3 dec3 ra4 dec4 and optionally radiusRadius of pixel region (degrees) radpixRadius in pixels npixelNumber of pixels in region nnullNumber of null pixels avefluxAverage flux for region rmsfluxRMS of region fluxes fluxrefFlux for reference location sigmarefRMS of fluxes xrefPixel coordinates of reference location yref rarefEquatorial (J2000) coordinated of reference location decref fluxminSame for pixel with minimum flux sigmamin xmin ymin ramin decmin fluxmaxSame for pixel with maximum flux sigmamax xmax ymax ramax decmax If you specify region that is all blank, npixel will be zero, nnull will be the total number of pixel examined, and the flux related parameters will all be zero.

MESSAGES

ERROR
    No ra, dec, radius location given or file name missing

ERROR
    File name missing

ERROR
    Cannot open FITS file test.fits

ERROR
    Cannot find WCS keys in FITS file test.fits

ERROR
    WCS initialization failed.

ERROR
    Location off the image.

ERROR
    Error reading FITS data.

EXAMPLES

mExamine -p 202.5 47.0 0.01 aJ_asky_980527n0240232.fits
    [struct stat="OK", proj="SIN", csys="EQUJ", equinox=2000.0, naxis1=512, naxis2=1024, crval1=202.5213942, crval2=47.1131924, crpix1=256.5, crpix2=512.5, cdelt1=0.0002778, cdelt2=0.0002778, crota2=0.0034, lonc=202.5213942, latc=47.1134702, ximgsize=0.142222, yimgsize=0.142222, rotequ=0.0034, rac=202.5213942, decc=47.1131924, ra1=202.6260252, dec1=46.9706487, ra2=202.4171950, dec2=46.9706407, ra3=202.4166112, dec3=47.2553630, ra4=202.6265617, dec4=47.2553710, radius=0.0100000, radpix=36.00, npixel=5476, nnull=0, aveflux=136.807, rmsflux=0.853615, fluxref=137.3, sigmaref=0.578143, xref=309, yref=105, raref=202.5000208, decref=46.9999951, fluxmin=135.042, sigmamin=-2.06764, xmin=328, ymin=77, ramin=202.4922870, decmin=46.9922153, fluxmax=152.299, sigmamax=18.1493, xmax=307, ymax=117, ramax=202.5008338, decmax=47.0033286]

BUGS
The drizzle algorithm has been implemented but has not been tested in this release.

If a header template contains carriage returns (i.e., created/modified on a Windows machine), the cfitsio library will be unable to read it properly, resulting in the error: [struct stat="ERROR", status=207, msg="illegal character in keyword"]

It is best for the background correction algorithms if the area described in the header template completely encloses all of the input images in their entirety. If parts of input images are "chopped off" by the header template, the background correction will be affected. We recommend you use an expanded header for the reprojection and background modeling steps, returning to the originally desired header size for the final coaddition. The default background matching assumes that there are no non-linear background variations in the individual images (and therefore in the overlap differences). If there is any uncertainty in this regard, it is safer to turn on the "level only" background matching (the "-l" flag in mBgModel.

COPYRIGHT
2001-2015 California Institute of Technology, Pasadena, California

If your research uses Montage, please include the following acknowledgement: "This research made use of Montage. It is funded by the National Science Foundation under Grant Number ACI-1440620, and was previously funded by the National Aeronautics and Space Administration's Earth Science Technology Office, Computation Technologies Project, under Cooperative Agreement Number NCC5-626 between NASA and the California Institute of Technology."

The Montage distribution includes an adaptation of the MOPEX algorithm developed at the Spitzer Science Center.